//Make mandatory field
var MakeRequired = function (fieldName) {
    try {

        if (typeof(requiredFieldValidator) === "undefined" || requiredFieldValidator == null || requiredFieldValidator == "")
           requiredFieldValidator = "is a required field.";

        if ($("#" + fieldName) != undefined) {
            $("#" + fieldName).prop('required', true);
            $("#" + fieldName).closest(".control").prev().addClass("required");
 
            // Create new validator
            var Requiredvalidator = document.createElement('span');
            Requiredvalidator.style.display = "none";
            Requiredvalidator.id = fieldName + "Validator";
            Requiredvalidator.controltovalidate = fieldName;
            Requiredvalidator.errormessage = "<a href='#" + fieldName + "_label'>" + $("#" + fieldName + "_label").html() + " " +requiredFieldValidator +"</a>";
            Requiredvalidator.initialvalue = "";
            Requiredvalidator.evaluationfunction = function () {
                var value = $("#" + fieldName).val();
                if (value == null || value == "") {
                    return false;
                } else {
                    return true;
                }
            };
 
            // Add the new validator to the page validators array:
            Page_Validators.push(Requiredvalidator);
        }
    }
    catch (error) {
        errorHandler(error);
    }
}
//Make UnMandatory
var MakeNotRequired = function (fieldName) {
    try {
        if ($("#" + fieldName) != undefined) {
            $("#" + fieldName).closest(".control").prev().removeClass("required");
            $("#" + fieldName).prop('required', false);
 
            for (i = 0; i < Page_Validators.length; i++) {
                if (Page_Validators[i].id == fieldName + "Validator" || Page_Validators[i].id == "RequiredFieldValidator" + fieldName) {
                    Page_Validators.splice(i, 1);
                }
            }
        }
    }
    catch (error) {
        errorHandler(error);
    }
}

//Custom Max Length Validation
var TextAreaMaxLengthValidation = function(fieldName, maxLength){	
        var fieldSelector= "#" + fieldName;
		var fieldLabelSelector = fieldSelector+"_label";

		if($(fieldSelector)!= undefined){
			$(fieldSelector).attr('maxlength', maxLength);
			var txtLabel = $(fieldLabelSelector).text();
			var txtLength = $(fieldSelector).val().length;;
			$(fieldLabelSelector).text(txtLabel + " (" + txtLength + "/" + maxLength + ")");
			
			$(fieldSelector).on("input", function(){
			txtLength = $(this).val().length;
			$(fieldLabelSelector).text(txtLabel + " (" + txtLength + "/" + maxLength + ")");
			});  
	}
}